corda / net.corda.flows / CashPaymentFlow

# CashPaymentFlow

`open class CashPaymentFlow : AbstractCashFlow`

Initiates a flow that produces an cash move transaction.

### Parameters

`amount` - the amount of a currency to pay to the recipient.

`recipient` - the party to pay the currency to.

### Constructors

<init> | `CashPaymentFlow(amount: Amount<Issued<Currency>>, recipient: Party)``CashPaymentFlow(amount: Amount<Issued<Currency>>, recipient: Party, progressTracker: ProgressTracker)` Initiates a flow that produces an cash move transaction.

### Properties

amount | `val amount: Amount<Issued<Currency>>`
recipient | `val recipient: Party`

### Inherited Properties

progressTracker | `open val progressTracker: ProgressTracker` Override this to provide a ProgressTracker. If one is provided and stepped, the framework will do something helpful with the progress reports. If this flow is invoked as a subflow of another, then the tracker will be made a child of the current step in the parent. If it's null, this flow doesn't track progress.

### Functions

call | `open fun call(): SignedTransaction` This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.